MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003064VCMIMechanics - Town structurespublic2019-05-20 20:262019-06-04 22:25
ReporterPovelitel 
Assigned ToDydzio 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0003064: accident when opening the list of cities
DescriptionI just explored the map, and then clicked on the list of cities and got a crash.
Additional InformationVCMI 0.99 6ddebfd43e16a7c1f9717a71bd6852a01a397787 (client) MXE build
TagsNo tags attached.
Attached Filespng file icon crash.png [^] (23,174 bytes) 2019-05-20 20:26


rar file icon клик по списку городов.rar [^] (644,613 bytes) 2019-05-20 20:27
txt file icon VCMI_Client_log.txt [^] (390,677 bytes) 2019-05-20 20:27 [Show Content]
txt file icon VCMI_Server_log.txt [^] (365,341 bytes) 2019-05-20 20:27 [Show Content]

- Relationships
related to 0002561resolvedDydzio Some buildings are treated as invalid, crash when right-clicking on its icon in event window 

-  Notes
(0007807)
Dydzio (developer)
2019-06-02 18:47

Well, this bug is related to weird thing I do not understand in VCMI code - buildings with ID 27, 28, 29 (extra town hall, extra city hall, extra capitol). They get added automatically tobuilt buildings on map start (and maybe on game load?) if appropiate income building is built - code in CMapLoaderH3M::convertBuildings

In this save building with ID 27 exists but it's data is NULL and there is attempt to read it which causes crash.
(0007810)
Dydzio (developer)
2019-06-04 20:37

Fixed in: https://github.com/vcmi/vcmi/pull/602 [^]

Save will be broken after fix, but starting the map again will have no error.

- Issue History
Date Modified Username Field Change
2019-05-20 20:26 Povelitel New Issue
2019-05-20 20:26 Povelitel File Added: crash.png
2019-05-20 20:27 Povelitel File Added: клик по списку городов.rar
2019-05-20 20:27 Povelitel File Added: VCMI_Client_log.txt
2019-05-20 20:27 Povelitel File Added: VCMI_Server_log.txt
2019-06-02 18:47 Dydzio Note Added: 0007807
2019-06-02 18:48 Dydzio Relationship added related to 0002561
2019-06-04 20:36 Dydzio Assigned To => Dydzio
2019-06-04 20:36 Dydzio Status new => assigned
2019-06-04 20:37 Dydzio Note Added: 0007810
2019-06-04 22:25 AVS Status assigned => resolved
2019-06-04 22:25 AVS Fixed in Version => 0.next
2019-06-04 22:25 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2019 MantisBT Team
Hosting provided by DigitalOcean